@startuml images/05_02_class.png
Title Cn Audit Persistent Data Class Structure


package org.dataone.cn.audit {
    package org.dataone.cn.audit.data{
        package org.dataone.cn.audit.data.persistent{
                    class IdentifierQueueManagement {
                        - DB db;
        
                        - NavigableSet<Identifier> workingIdentifierSet;
                        - NavigableSet<Identifier> completedIdentifierSet;
        
                        - Map<NodeReference, List<Integer>> harvestCount;
                        ==
                        + init()
                        + reset()
                        + getWorkingIdentifierSet()
                        + getCompletedIdentifierSet()
                        + setNodeHarvestTotal()
                        + getNodeHarvestTotal()
                        + incrementNodeHarvestCount()
                        + getNodeHarvestCount()
                        + isHarvestComplete()
                        +  hasAllNodeTotalsEntered()
                        + getDb()
                        + setDb()
                    }
                    package org.dataone.cn.audit.data.persistent.spring{
                                    class MapDBFactoryBean {
                                        ==
                                        +  getMapDB()
                                    }
                                }
            }
        }
}

@enduml
